//
//  DatabaseLib.h
//  WeMo
//
//  Created by Albino Alindogan on 11/16/11.
//  Copyright (c) 2011 Ubiquitous Technologies Philippines, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "WeMo.h"
#import "sqlite3.h"
#import "NSData+Base64.h"

@interface DatabaseLib : WeMo {
    sqlite3 * database;
}


-(void)getDatabases: (NSString *) cbId;
-(void)getTables:(NSString *) cbId params:(NSDictionary *) database_name;
-(void)createDatabase:(NSString *) cbId params:(NSDictionary *) database_name;
-(BOOL)openDatabase:(NSString *) database_name;
-(void)createTable:(NSString *) cbId params:(NSDictionary *) database_info;
-(void)getColumnsDetail:(NSString *)cbId params:(NSDictionary *)database_info;
//-(NSMutableArray *)getDetail:(NSDictionary *)database_info;
-(void)insertData:(NSString *) cbId params:(NSDictionary *) database_info;
-(void)selectData:(NSString *) cbId params:(NSDictionary *) database_info;
-(void)deleteData:(NSString *) cbId params:(NSDictionary *) database_info;
-(void)dropTable:(NSString *) cbId params:(NSDictionary *) database_info;
-(void)updateData:(NSString *) cbId params:(NSDictionary *) database_info;
@end
