//
//  GeolocationLib.h
//  WeMo
//
//  Created by Reynan Valencia on 10/18/11.
//  Copyright 2011 Ubiquitous Technologies Philippines, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>
#import "WeMo.h"

@interface GeolocationLib : WeMo <CLLocationManagerDelegate>{
    
    CLLocationManager *locationManager;
    CLLocation *location;
}

@property (nonatomic, retain) CLLocationManager *locationManager;
@property (nonatomic, retain) CLLocation *location;

-(void)initialize;
-(void)startUpdatingLocation;
-(void)stopUpdatingLocation;
-(void)getLatitude;
-(void)getLongitude;

@end
