//
//  WeMo.h
//  WeMo
//
//  Created by Jun Pataleta on 11/10/14.
//  Copyright 2011 Ubiquitous Technologies Philippines, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface WeMo : NSObject {
    UIViewController *viewController;
    UIWebView * webView;
    NSString * callbackId;
    NSDictionary * params;
}

@property(nonatomic, retain) UIWebView *webView;
@property(nonatomic, retain) IBOutlet UIViewController *viewController;
@property(nonatomic, retain) NSString *callbackId;
@property(nonatomic, retain) NSDictionary *params;

-(WeMo *) initWithWebView:(UIWebView *) thisWebView viewController:(UIViewController *) view;
-(NSString*) sendJavascript:(NSString*)js;
-(void) onSuccessResult:(NSString *)message remove:(int) removeFlag;
-(void) onSuccessJSON:(NSString *)message remove:(int) removeFlag;
-(void) onErrorResult:(NSString *)message errorId:(NSString *) error;
@end

